Bug 235432

Summary: Scrolling while focusing an element should take into account scroll margin
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: CSSAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: simon.fraser, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Martin Robinson 2022-01-21 02:10:27 PST
CSS scroll-margin should come into play when focusing an element. The css-scroll-snap-1 [1] specification says:

```
Similarly the 'scroll-margin' property can be used on any box to adjust its visual area for the purpose of scroll-into-view operations.
```

Focusing triggers this kind of operation.

1. https://drafts.csswg.org/css-scroll-snap/
Comment 1 Martin Robinson 2022-01-21 02:13:48 PST
Created attachment 449647 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2022-01-28 02:11:15 PST
<rdar://problem/88176885>
Comment 3 EWS 2022-02-15 06:54:11 PST
Committed r289810 (247271@main): <https://commits.webkit.org/247271@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 449647 [details].